This Linux grinch could put a hole in your security stocking

A potential flaw in how Linux handles access rights could give attackers entry, a security firm charges

A grinch may be snatching away some year-end holiday time, forcing Linux system administrators to fill a gaping security hole in their systems.

Named after the proverbially grumpy Dr. Seuss character, the grinch vulnerability could affect all Linux systems, potentially providing attackers with unfettered root access, according to security service provider Alert Logic, which introduced grinch to the world Tuesday via a blog post.

Grinch could be as severe as the Shellshock Linux shell flaw that roiled the Internet in September, the company warned.

The fundamental flaw resides in the Linux authorization system, which can inadvertently allow privilege escalation, granting a user "root," or full administrative access.

With full root access, an attacker would be able to completely control a system, including the ability to install programs, read data and use the machine as a launching point for compromising other systems.

To date, Alert Logic has not seen any exploits that harness this vulnerability, nor did the research team find any existing mention of this hole in the vulnerability database maintained by the Community Emergency Response Team (CERT), according to Stephen Coty, Alert Logic's director of threat research.

The vulnerability could span the range of all Linux systems, including versions of Linux running on cloud services such as Amazon's and Microsoft's. Approximately 65 percent of all web servers on the Internet utilize a Unix/Linux based operating system, a W3Techs survey estimated. It could also affect Android phones, which run the Linux kernel.

To control administrative access, Linux keeps a list of all the registered users on a machine, in a group typically known as "wheel," who can be granted full root access (usually through the Unix sudo command).

A knowing attacker could get full root access by modifying the wheel group, either directly or by manipulating an adjoining program such as the Polkit graphical interface for setting user permissions, Alert Logic said.

The company has notified Red Hat, which maintains Polkit, about the problem, and Red Hat has opened a trouble ticket on the issue. Nonetheless, Coty believes that the problem is fundamentally one with the Linux kernel architecture, so the Linux kernel development team would have to provide the ultimate correction.

Although no patches currently exist for the vulnerability, Alert Logic stated, an organization can take preventive measures to guard against grinch-based attacks. Logging software could be deployed in order to monitor user actions, and flag any unusual behavior. They can also rewrite administrative rules to minimize sudo operations.

Joab Jackson covers enterprise software and general technology breaking news for The IDG News Service. Follow Joab on Twitter at @Joab_Jackson. Joab's e-mail address is Joab_Jackson@idg.com

Join the Computerworld New Zealand newsletter!

Error: Please check your email address.

Tags Alert LogicsecurityExploits / vulnerabilities

More about CotyIDGLinuxMicrosoftNewsRed Hat

Show Comments
[]